cannot install magickwand on Ubuntu 8.04

MagickWand for PHP is an object-oriented PHP interface to ImageMagick. Use this forum to discuss, make suggestions about, or report bugs concerning MagickWand for PHP.
Post Reply
crosmuller

cannot install magickwand on Ubuntu 8.04

Post by crosmuller » 2008-06-18T00:55:29-07:00

Hi, i cannot install magickwand on ubuntu 8.04
I tried MagickWandForPHP-1.0.7 en MagickWandForPHP-1.0.6 but both give me the following after make:


/usr/bin/ld: cannot find -lMagickWand
collect2: ld returned 1 exit status
make: *** [magickwand.la] Error 1

Imagemagick is installed (among others):

ii imagemagick 7:6.3.7.9.dfsg1-2ubuntu1 image manipulation programs
ii libgraphics-magick-perl 1.1.11-1 format-independent image processing - perl i
ii libgraphicsmagick++1 1.1.11-1 format-independent image processing - C++ sh
ii libgraphicsmagick++1-dev 1.1.11-1 format-independent image processing - C++ de
ii libgraphicsmagick1 1.1.11-1 format-independent image processing - C shar
ii libgraphicsmagick1-dev 1.1.11-1 format-independent image processing - C deve
ii libmagick++10 7:6.3.7.9.dfsg1-2ubuntu1 C++ API to the ImageMagick library
ii libmagick++9-dev 7:6.3.7.9.dfsg1-2ubuntu1 C++ API to the ImageMagick library - develop
ii libmagick10 7:6.3.7.9.dfsg1-2ubuntu1 image manipulation library
ii libmagick9-dev 7:6.3.7.9.dfsg1-2ubuntu1 image manipulation library - development fil
ii php5-imagick 2.0.1-1 ImageMagick module for php5

User avatar
magick
Site Admin
Posts: 10936
Joined: 2003-05-31T11:32:55-07:00

Re: cannot install magickwand on Ubuntu 8.04

Post by magick » 2008-06-18T06:52:11-07:00

Either upgrade your version of ImageMagick to a more modern version that includes the MagickWand library (the current version is 6.4.1-8) or use an older version of MagickWand for PHP (perhaps 1.0.6).

crosmuller

Re: cannot install magickwand on Ubuntu 8.04

Post by crosmuller » 2008-06-18T07:58:10-07:00

I tried 1.0.6. but I get the same error

User avatar
magick
Site Admin
Posts: 10936
Joined: 2003-05-31T11:32:55-07:00

Re: cannot install magickwand on Ubuntu 8.04

Post by magick » 2008-06-18T08:37:55-07:00

Ok, either upgrade your version of ImageMagick or hand edit your Makefile and change MagickWand to Wand and MagickCore to Magick and see if that works.

crosmuller

Re: cannot install magickwand on Ubuntu 8.04

Post by crosmuller » 2008-06-24T04:56:34-07:00

Thanks, I solved it by installing the latest version of Imagemagick from source

crosmuller

Re: cannot install magickwand on Ubuntu 8.04

Post by crosmuller » 2008-08-04T03:38:05-07:00

Unfortunately it is not solved yet, compiling ImageMagick from source results in error "canaot load lingomp.so.1"

I tried editing the Makefile and compiling version 1.07 of magicwand succeeded, but afterwards I get this error in Apache logs:

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20060613+lfs/magickwand.so' - libMagickWand.so.1: cannot open shared object file: No such file or directory in Unknown on line 0

User avatar
magick
Site Admin
Posts: 10936
Joined: 2003-05-31T11:32:55-07:00

Re: cannot install magickwand on Ubuntu 8.04

Post by magick » 2008-08-04T05:51:46-07:00

To get rid of the gomp dependency build from source but add the --disable-openmp option to the configure command line.

Add the path where libMagickWand is located with the ldconfig command to fix the 'cannot open shared object file' problem. You may need to restart your httpd daemon as well.

crosmuller

Re: cannot install magickwand on Ubuntu 8.04

Post by crosmuller » 2008-08-05T01:14:13-07:00

Okay, I think it really works now..........

here's what I did
move libgomp away:

mv /usr/lib/libgomp.so.1* ~chantal/

run ldconfig

ldconfig

compile imagemagick with --disable-openmp

cd /usr/local/src/ImageMagick-6.4.1
./configure --disable-openmp && make && make install

compile magickwand

cd ..
cd MagickWandForPHP-1.0.7
phpize && ./configure && make && make install

restart apache

/etc/init.d/apache2 restart

crosmuller

Re: cannot install magickwand on Ubuntu 8.04

Post by crosmuller » 2008-08-05T01:51:15-07:00

oh and ofcourse but the libgomp libraries back in /usr/lib/ after compiling

User avatar
magick
Site Admin
Posts: 10936
Joined: 2003-05-31T11:32:55-07:00

Re: cannot install magickwand on Ubuntu 8.04

Post by magick » 2008-10-06T06:16:40-07:00

Its possible your installation did not include JPEG support. To verify, type

identify -list configure

Is JPEG associated with the DELEGATES tag? If not, rerun the ImageMagick configure script and ensure that the JPEG delegate library is validated. Check config.log for the reason why if not. Chances are you may not have the JPEG development RPM installed.

Post Reply